/* © 2024 Appstock */

#import "TopOnBannerRewardedViewController.h"

@implementation TopOnBannerRewardedViewController

- (NSString *)placementID {
    return @"n66fbbea3c957f";
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    [self loadAd];
}

- (void)loadAd {
    // 1. Load the ad
    [ATAdManager.sharedManager loadADWithPlacementID:self.placementID
                                               extra:@{}
                                            delegate:self];
}

// MARK: - ATAdLoadingDelegate

- (void)didFinishLoadingADWithPlacementID:(NSString *)placementID {
    // 2. Check if ad is ready to be shown
    if ([[ATAdManager sharedManager] rewardedVideoReadyForPlacementID:placementID]) {
        // 3. Show the ad
        [[ATAdManager sharedManager] showRewardedVideoWithPlacementID:placementID
                                                     inViewController:self
                                                             delegate:self];
    }

}

- (void)didFailToLoadADWithPlacementID:(NSString *)placementID error:(NSError *)error {
    NSLog(@"Did fail to load ad: %@", error.localizedDescription);
}

- (void)didFailBiddingADSourceWithPlacementID:(NSString *)placementID
                                        extra:(NSDictionary *)extra
                                        error:(NSError *)error {
    NSLog(@"Did fail to load ad source: %@", error.localizedDescription);
}

- (void)didFailToLoadADSourceWithPlacementID:(NSString *)placementID
                                       extra:(NSDictionary *)extra
                                       error:(NSError *)error {
    NSLog(@"Did fail to load ad source: %@", error.localizedDescription);
}

- (void)didRevenueForPlacementID:(NSString *)placementID extra:(NSDictionary *)extra {}
- (void)didStartLoadingADSourceWithPlacementID:(NSString *)placementID extra:(NSDictionary *)extra {}
- (void)didFinishLoadingADSourceWithPlacementID:(NSString *)placementID extra:(NSDictionary *)extra {}
- (void)didStartBiddingADSourceWithPlacementID:(NSString *)placementID extra:(NSDictionary *)extra {}
- (void)didFinishBiddingADSourceWithPlacementID:(NSString *)placementID extra:(NSDictionary *)extra {}

// MARK: - ATRewardedVideoDelegate

- (void)rewardedVideoDidEndPlayingForPlacementID:(nonnull NSString *)placementID extra:(nonnull NSDictionary *)extra {}
- (void)rewardedVideoDidStartPlayingForPlacementID:(nonnull NSString *)placementID extra:(nonnull NSDictionary *)extra {}
- (void)rewardedVideoDidClickForPlacementID:(NSString *)placementID extra:(NSDictionary *)extra {}
- (void)rewardedVideoDidCloseForPlacementID:(NSString *)placementID rewarded:(BOOL)rewarded extra:(NSDictionary *)extra {}

- (void)rewardedVideoDidRewardSuccessForPlacemenID:(NSString *)placementID extra:(NSDictionary *)extra {
    NSLog(@"User was rewarded.");
}

@end
